LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ReadOnlyAccess Service Reference

Provides easy read-only access to the complete configuration. More...

`import <ReadOnlyAccess.idl;`

Inheritance diagram for ReadOnlyAccess:

## Public Member Functions
| create ([in] string locale)
| Service constructor.
Public Member Functions inherited from XHierarchicalNameAccess
any | getByHierarchicalName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException )
boolean | hasByHierarchicalName ([in] string aName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Provides easy read-only access to the complete configuration.

This service is still unpublished and unstable.

Since
  LibreOffice 4.0

## Member Function Documentation

## ◆ create()

create | ( | [in] string | locale | ) |

Service constructor.

Parameters

  locale | a string representation of the locale to use for localized properties; use `*` for all-locale access

The documentation for this service was generated from the following file:

- com/sun/star/configuration/ReadOnlyAccess.idl